bitmap_scnprintf
Prev | Bitmap Operations | Next

## Name

bitmap_scnprintf — convert bitmap to an ASCII hex string.

## Synopsis

`int bitmap_scnprintf (` | char * | buf,
| unsigned int | buflen,
| const unsigned long * | maskp,
| int | nmaskbits`)`;

## Arguments

`buf`

  byte buffer into which string is placed

`buflen`

  reserved size of `buf`, in bytes

`maskp`

  pointer to bitmap to convert

`nmaskbits`

  size of bitmap, in bits

## Description

Exactly `nmaskbits` bits are displayed. Hex digits are grouped into comma-separated sets of eight digits per set.

Prev | Up | Next
__bitmap_shift_left | Home | __bitmap_parse